import cn.com.qmth.stmms.ms.Application;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.File;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @Date: 2021/5/27.
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {Application.class})
public class backupDb {
    @Test
    public void backupDb() throws Exception {
        String backName = new SimpleDateFormat("yyyy-MM-dd-HH-mm-ss").format(new Date())+".sql";
        dbBackUp("root","root","msyj-2.0.0","D:\\",backName);

    }

    //mysqldump -h端口号 -u用户 -p密码 数据库 > d:/test.sql --备份D盘
    //备份
    public static void dbBackUp(String root, String pwd, String dbName, String backPath, String backName) throws Exception {
        String pathSql = backPath + backName;
        File fileSql = new File(pathSql);
        //创建备份sql文件
        if (!fileSql.exists()) {
            fileSql.createNewFile();
        }
        //mysqldump -hlocalhost -uroot -p123456 db > /home/back.sql
        StringBuffer sb = new StringBuffer();
        sb.append("mysqldump");
        sb.append(" -h127.0.0.1");
        sb.append(" -u" + root);
        sb.append(" -p" + pwd);
        sb.append(" " + dbName + " >");
        sb.append(pathSql);
        System.out.println("cmd命令为：" + sb.toString());
        Runtime runtime = Runtime.getRuntime();
        System.out.println("开始备份：" + dbName);
        Process process = runtime.exec("cmd /c" + sb.toString());
        System.out.println("备份成功!");
    }
}
